> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete EndUser by heron_id or end_user_id (sync)

> Synchronously delete an end user and its associated transactions. Deprecated — use POST /end_users/{end_user_id_or_heron_id}/delete for async deletion instead.




## OpenAPI

````yaml https://app.herondata.io/swagger delete /api/end_users/{end_user_id_or_heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}:
    delete:
      tags:
        - EndUsers
      summary: Delete EndUser by heron_id or end_user_id (sync)
      description: >
        Synchronously delete an end user and its associated transactions.
        Deprecated — use POST /end_users/{end_user_id_or_heron_id}/delete for
        async deletion instead.
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Deleted
      deprecated: true
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````